# This file created by conda-build 3.20.5
# meta.yaml template originally from:
# /tmp/build/80754af9/combined_recipe, last modified Mon Dec  7 19:30:07 2020
# ------------------------------------------------

package:
    name: saspy
    version: 3.6.2
source:
    fn: saspy-3.6.2.tar.gz
    sha256: 6d919132d85096c67e8c296b43b6187888217b7794b05405848c1e308a4652ba
    url: https://pypi.io/packages/source/s/saspy/saspy-3.6.2.tar.gz
build:
    noarch: python
    number: '0'
    script: /tmp/build/80754af9/saspy_1607369433086/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehol/bin/python
        -m pip install . --no-deps --ignore-installed --no-cache-dir -vvv
    string: pyhd3eb1b0_0
requirements:
    host:
        - _libgcc_mutex 0.1 main
        - ca-certificates 2020.10.14 0
        - certifi 2020.12.5 py39h06a4308_0
        - ld_impl_linux-64 2.33.1 h53a641e_7
        - libedit 3.1.20191231 h14c3975_1
        - libffi 3.3 he6710b0_2
        - libgcc-ng 9.1.0 hdf63c60_0
        - libstdcxx-ng 9.1.0 hdf63c60_0
        - ncurses 6.2 he6710b0_1
        - openssl 1.1.1h h7b6447c_0
        - pip 20.3 py39h06a4308_0
        - python 3.9.0 hdb3f193_2
        - readline 8.0 h7b6447c_0
        - setuptools 50.3.2 py39h06a4308_2
        - sqlite 3.33.0 h62c20be_0
        - tk 8.6.10 hbc83047_0
        - tzdata 2020d h14c3975_0
        - wheel 0.36.0 pyhd3eb1b0_0
        - xz 5.2.5 h7b6447c_0
        - zlib 1.2.11 h7b6447c_3
    run:
        - ipython >=4
        - pandas
        - pygments
        - python >=3
test:
    imports:
        - saspy
about:
    description: 'This module allows a python process to connect to SAS 9.4 and run
        SAS

        code, generated by the supplied object and methods or explicitly user

        written, and returns results as text, HTML5 documents (via SAS ODS), or

        as Pandas Data Frames. It supports running analytics and returning the

        resulting graphics and result data. It can convert between SAS Data Sets

        and Pandas Data Frames. It has multiple access methods which allow it to

        connect to local or remote Linux SAS, IOM SAS on Windows or Linux

        (Including Grid Manager), and local PC SAS. It can run w/in Jupyter

        Notebooks, in line mode python or in python batch scripts.

        '
    dev_url: https://github.com/sassoftware/saspy
    doc_url: https://sassoftware.github.io/saspy
    home: https://github.com/sassoftware/saspy
    license: Apache 2.0
    license_family: Apache
    license_file: /tmp/build/80754af9/combined_recipe/LICENSE
    summary: A Python interface module to the SAS System
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - danielfrg
